/* WebDNS module interface.
   This file is part of the Virtual Server Administrator. 
 */

/*
 * VSD - Virtual Server Daemon
 * Copyright (c) 2000 - 2001 Idaya Ltd.
 *
 * VSD is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * VSD is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with VSD - see the COPYING file;  if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/*
 * See the AUTHORS file for a list of contributors to VSD.
 * See the ChangeLog files for a list of changes.
 */


#ifndef MOD_BIND_H
#define MOD_BIND_H

#define CMD_BIND_LIST 1
#define CMD_BIND_DELETE 2
#define CMD_BIND_GET 3
#define CMD_BIND_ADD 4
#define CMD_BIND_MODIFY 5
#define CMD_BIND_IPMOD 6
#define CMD_BIND_IPMODALL 7
#define CMD_BIND_FIX 8
#define CMD_BIND_FIXALL 9
#define CMD_BIND_DBGEN 10
#define CMD_BIND_DBLIST 11
#define CMD_BIND_DBADD 12
#define CMD_BIND_DBDELETE 13
#define CMD_BIND_NAMEDGEN 14
#define CMD_BIND_ROOTNAMEDGEN 15
#define CMD_BIND_ADDVS 16
#define CMD_BIND_DELETEVS 17
#define CMD_BIND_MODIFYVS 18
#define CMD_BIND_SETTTL 19
#define CMD_BIND_RELOAD 20
#define CMD_BIND_RESTOREVS 22

extern int mod_bind_transaction (struct connection *vs, int level,
				   const char *command, int argc,
				   char *argv[], const char *data);
extern int mod_bind_help (int level, const char *command);

#endif /* MOD_BIND_H */
