/* ca.h - ca module global definitions
 
/* 
 * VSD - Virtual Server Daemon
 * Copyright (c) 2000 - 2001 Idaya Ltd.
 *
 * VSD is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either 
 * version 2 of the License, or (at your option) any later version.
 *
 * VSD is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with VSD - see the COPYING file;  if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
 * Boston, MA 02111-1307, USA.  
 */

/*
 * See the AUTHORS file for a list of contributors to VSD. 
 * See the ChangeLog files for a list of changes. 
 */

#ifndef CA_H
#define CA_H

extern void 
ca_version (struct connection *vc, 
	    const int argc, 
	    const char *argv[]);

#ifdef WITH_OPENSSL
extern void 
ca_verify (struct connection *vc, 
	   const int argc, 
	   const char *argv[]);

extern void 
ca_list (struct connection *vc, 
	 const int argc, 
	 const char *argv[]);

extern void 
ca_add (struct connection *vc, 
	const int argc, 
	const char *argv[]);

extern void 
ca_del (struct connection *vc, 
	const int argc, 
	const char *argv[]);

extern void 
ca_certget (struct connection *vc, 
	    const int argc, 
	    const char *argv[]);

extern void 
ca_certput (struct connection *vc, 
	    const int argc, 
	    const char *argv[],
	    const char *data);

extern void 
ca_keyget (struct connection *vc, 
	   const int argc, 
	   const char *argv[]);

extern void 
ca_keyput (struct connection *vc, 
	   const int argc, 
	   const char *argv[],
	   const char *data);

extern void 
ca_crlget (struct connection *vc, 
           const int argc, 
	   const char *argv[]);

extern void 
ca_crlput (struct connection *vc, 
	   const int argc, 
	   const char *argv[],
	   const char *data);

extern void 
ca_cacertget (struct connection *vc, 
              const int argc, 
	      const char *argv[]);

extern void 
ca_cacertput (struct connection *vc, 
	      const int argc, 
	      const char *argv[],
	      const char *data);
#endif  /* WITH_OPENSSL */

#endif  /* CA_H */
















