/* mod_ca.h - ca module interface definitions.
 */

/* 
 * VSD - Virtual Server Daemon
 * Copyright (c) 2000 - 2001 Idaya Ltd.
 *
 * VSD is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either 
 * version 2 of the License, or (at your option) any later version.
 *
 * VSD is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with VSD - see the COPYING file;  if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
 * Boston, MA 02111-1307, USA.  
 */

/*
 * See the AUTHORS file for a list of contributors to VSD. 
 * See the ChangeLog files for a list of changes. 
 */

#ifndef MOD_CA_H
#define MOD_CA_H

#define CMD_CA_VERSION   0
#define CMD_CA_VERIFY    1
#define CMD_CA_LIST      2
#define CMD_CA_ADD       3
#define CMD_CA_DEL       4
#define CMD_CA_CERTGET   5
#define CMD_CA_CERTPUT   6
#define CMD_CA_KEYGET    7
#define CMD_CA_KEYPUT    8
#define CMD_CA_CRLGET    9
#define CMD_CA_CRLPUT    10
#define CMD_CA_CACERTGET 11
#define CMD_CA_CACERTPUT 12
#define CMD_CA_CERTADD   13
#define CMD_CA_CERTDEL   14

extern int mod_ca_transaction (struct connection *vc,
			       int level, 
			       const char *command,
			       int argc, 
			       char *argv[], 
			       const char *data);

extern int mod_ca_help (int level, 
			const char *command);

#endif  /* MOD_CA_H */










