/* mod_vuser.h - vuser module interface definitions.
 */

/* 
 * VSD - Virtual Server Daemon
 * Copyright (c) 2000 - 2001 Idaya Ltd.
 *
 * VSD is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either 
 * version 2 of the License, or (at your option) any later version.
 *
 * VSD is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with VSD - see the COPYING file;  if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
 * Boston, MA 02111-1307, USA.  
 */

/*
 * See the AUTHORS file for a list of contributors to VSD. 
 * See the ChangeLog files for a list of changes. 
 */

#ifndef MOD_VUSER_H
#define MOD_VUSER_H

#define CMD_VUSER_ADD         0
#define CMD_VUSER_DEL         1
#define CMD_VUSER_DFLTADD     2
#define CMD_VUSER_DFLTDEL     3
#define CMD_VUSER_FWDADD      4
#define CMD_VUSER_FWDDEL      5
#define CMD_VUSER_RSPADD      6
#define CMD_VUSER_RSPDEL      7
#define CMD_VUSER_LIST        8
#define CMD_VUSER_MBXADD      9
#define CMD_VUSER_MBXDEL      10
#define CMD_VUSER_MBXLIST     11
#define CMD_VUSER_MBXPASS     12
#define CMD_VUSER_MBXENABLE   13
#define CMD_VUSER_MBXDISABLE  14
#define CMD_VUSER_MSGADD      15
#define CMD_VUSER_MSGDEL      16
#define CMD_VUSER_MSGGET      17
#define CMD_VUSER_MSGSET      18
#define CMD_VUSER_MSGLIST     19

extern int mod_vuser_transaction (struct connection *vc,
				  int level, 
				  const char *command,
				  int argc, 
				  char *argv[], 
				  const char *data);

extern int mod_vuser_help (int level, 
			   const char *command);

#endif  /* MOD_VUSER_H */










