/* Client process class definition.
   Copyright (c) 2001 Designer Servers Ltd.
   Written by Nick Burrett <nick@dsvr.net>

   This file is part of the Virtual Server Administrator (FreeVSD)

   FreeVSD is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   FreeVSD is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with FreeVSD; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

#ifndef CLIENT_H
#define CLIENT_H

#include <sys/types.h>
#include "vsd.h"
#include "lookup.h"
#include "cryptssl.h"

class Client
{
private:
  void do_redirection (int in_fd, int out_fd, CryptSSL *in_ssl);
public:
  pid_t pid;

  void serve (int in_fd, int server_port, Lookup *vsmap);

  Client ()
  {
    pid = (pid_t) 0;
  }
};

#endif
