/* In-memory lookup database for virtual server mappings.
   Copyright (c) 2001 Designer Servers Ltd.
   Written by Nick Burrett <nick@dsvr.net>

   This file is part of the Virtual Server Administrator (FreeVSD)

   FreeVSD is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   FreeVSD is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with FreeVSD; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

#ifndef LOOKUP_H
#define LOOKUP_H

struct vs_map
{
  char *vs, *svr;
};

struct ns_map
{
  char *vs, *pri, *sec;
};

class Lookup
{
private:
  struct vs_map *vs_database;
  int vs_size, vs_entries;
  struct ns_map *ns_database;
  int ns_size, ns_entries;
public:
  void Add (const char *vsname, const char *map);
  void Add (const char *vsname, const char *prins, const char *secns);
  const char *Find (const char *vsname);
  int Find (const char *vsname, char *prins, char *secns);
  Lookup();
  ~Lookup();
};

#endif
