/* Class definition for interfacing with VSD.
   Copyright (c) 2001 Designer Servers Ltd.
   Written by Nick Burrett <nick@dsvr.net>

   This file is part of the Virtual Server Administrator (FreeVSD)

   FreeVSD is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   FreeVSD is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with FreeVSD; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

#ifndef VSD_H
#define VSD_H

class VSD
{
private:
  int Send (const char *text);
  char *Recv (int &buffer_length, char term_char);
  char *Recv (int &buffer_length);
  char *GetLine (char *buff, char terminator);
public:
  int fd;

  int Connect (const char *fqdn, int port, int response=0);
  int Disconnect (void);
  char *SendCommand (const char *command);
  int VS_Details (char **ptr, char *buff);

  VSD (void) { fd = -1; }
  ~VSD (void);
  void VS_Details (void);
};

#endif
